'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.handler = exports.desc = exports.command = undefined;

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _sourceMapSupport2 = require('source-map-support');

var _webdriverio = require('webdriverio');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _sourceMapSupport2.install)();
var command = exports.command = 'repl <browserName>';
var desc = exports.desc = 'Run WebDriver session in command line';

var handler = exports.handler = function () {
    var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(argv) {
        var browserName, client;
        return _regenerator2.default.wrap(function _callee$(_context) {
            while (1) {
                switch (_context.prev = _context.next) {
                    case 0:
                        browserName = argv.browserName;
                        _context.next = 3;
                        return (0, _webdriverio.remote)((0, _assign2.default)(argv, {
                            capabilities: {
                                browserName
                            }
                        }));

                    case 3:
                        client = _context.sent;


                        global.$ = client.$.bind(client);
                        global.$$ = client.$$.bind(client);
                        global.browser = client;

                        _context.next = 9;
                        return client.debug();

                    case 9:
                        _context.next = 11;
                        return client.deleteSession();

                    case 11:
                    case 'end':
                        return _context.stop();
                }
            }
        }, _callee, undefined);
    }));

    return function handler(_x) {
        return _ref.apply(this, arguments);
    };
}();